#
# This file was derived from the 'Hello World!' example recipe in the
# Yocto Project Development Manual.
#

DESCRIPTION = " Cab Gateway Application "
SECTION = "examples"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"
PR= "r0"

PREFERRED_VERSION_pip = "18.0"

#RDEPENDS_${PN} += " \
#	libc-dev \
#	glibc \
#	libgcc \
#    "

#DEPENDS += "libpthread-stubs udev libpcap avahi "
#DEPENDS += "libpthread-stubs "
DEPENDS += "openssl"
DEPENDS += "curl"
DEPENDS += "libiio"


SRC_URI = " file://cabgatewayapp/ "

S = "${WORKDIR}/cabgatewayapp/"

TARGET_CC_ARCH += "${LDFLAGS}" 

PACKAGES = "${PN} ${PN}-dev "

#CFLAGS += " -I{STAGING_KERNEL_DIR}/include"
##CFLAGS_append = " -DUSE_LOGGER -D__linux__udev__ -D__linux__pcap__ -D__linux__spi__"
#CFLAGS_append = " -DUSE_LOGGER -D__linux__udev__ "
PARALLEL_MAKE = " "



do_install() {
    install -d -m 777 ${D}/cabApp/
    install -d -m 777 ${D}${bindir}
    install -v ${S}/out/cabAppA7 ${D}/cabApp/cabAppA7
    install -v ${S}/out/cabAppLauncher ${D}/cabApp/cabAppLauncher
    install -v ${S}/out/remoteDiagApp ${D}/cabApp/remoteDiagApp
    install -v ${S}/out/cgupdate ${D}${bindir}
#    install -v ${S}/out/accelService ${D}${bindir}
    install -v ${S}/out/lteApp ${D}/cabApp/lteApp
}

#FILES_${PN} = " \
#    /home/root \
#    ${libdir}/lib*${SOLIBSDEV} \
#    ${sysconfdir}/udev/rules.d \
#    ${datadir}/hsdk \
#
#    "

FILES_${PN} += "/cabApp/*"

# Added to avoid QA issue: No GNU_HASH in the elf binary
INSANE_SKIP_${PN} = "ldflags dev-deps"
INSANE_SKIP_${PN}-dev = "ldflags"

INHIBIT_PACKAGE_STRIP = "1"

INSANE_SKIP_${PN} = "installed-vs-shipped "

COMPATIBLE_MACHINE = "(mx6|mx6ul|mx7|mx6ull)"

ALLOW_EMPTY_${PN} = "1"
